%define languageenglazy Asturian
%define languagecode    ast
%define lc_ctype        ast_ES

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.02
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://softastur.org/
Source:         http://extensions.services.openoffice.org/e-files/3932/1/asturianu.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ast
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
#there is no Asturian myspell dictionary
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x dictionaries/*.{aff,dic}

%install
install -D -m 0644 -p dictionaries/%{languagecode}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/%{languagecode}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSES-en.txt LICENCES-ast.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:0.02-5.mga4
+ Revision: 505609
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.02-4.mga3
+ Revision: 353381
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1:0.02-3.mga3
+ Revision: 325150
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1:0.02-2.mga2
+ Revision: 224557
- add requirement on locales (mga#4632)

* Mon Jan 16 2012 kamil <kamil> 1:0.02-1.mga2
+ Revision: 197037
- new version 0.02

* Mon Jan 16 2012 kamil <kamil> 1:0.01-4.mga2
+ Revision: 196602
- drop requirement on locales
- hunspell is now suggested

* Mon Jan 09 2012 kamil <kamil> 1:0.01-3.mga2
+ Revision: 194104
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype}
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype}
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.01-2.mga1
+ Revision: 68653
- imported package hunspell-ast


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 16 2010 Caolán McNamara <caolanm@redhat.com> - 1:0.01-1
- latest version

* Mon Apr 12 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100331-1
- initial version
